<?php
namespace PHPMaker2019\project_germanos;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start(); 

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$courtsort_delete = new courtsort_delete();

// Run the page
$courtsort_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$courtsort_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script>

// Form object
currentPageID = ew.PAGE_ID = "delete";
var fcourtsortdelete = currentForm = new ew.Form("fcourtsortdelete", "delete");

// Form_CustomValidate event
fcourtsortdelete.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

	// Your custom validation code here, return false if invalid.
	return true;
}

// Use JavaScript validation or not
fcourtsortdelete.validateRequired = <?php echo json_encode(CLIENT_VALIDATE) ?>;

// Dynamic selection lists
// Form object for search

</script>
<script>

// Write your client script here, no need to add script tags.
</script>
<?php $courtsort_delete->showPageHeader(); ?>
<?php
$courtsort_delete->showMessage();
?>
<form name="fcourtsortdelete" id="fcourtsortdelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($courtsort_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo TOKEN_NAME ?>" value="<?php echo $courtsort_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="courtsort">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($courtsort_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php if (IsResponsiveLayout()) { ?>table-responsive <?php } ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($courtsort->CourtSort->Visible) { // CourtSort ?>
		<th class="<?php echo $courtsort->CourtSort->headerCellClass() ?>"><span id="elh_courtsort_CourtSort" class="courtsort_CourtSort"><?php echo $courtsort->CourtSort->caption() ?></span></th>
<?php } ?>
<?php if ($courtsort->Notes->Visible) { // Notes ?>
		<th class="<?php echo $courtsort->Notes->headerCellClass() ?>"><span id="elh_courtsort_Notes" class="courtsort_Notes"><?php echo $courtsort->Notes->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$courtsort_delete->RecCnt = 0;
$i = 0;
while (!$courtsort_delete->Recordset->EOF) {
	$courtsort_delete->RecCnt++;
	$courtsort_delete->RowCnt++;

	// Set row properties
	$courtsort->resetAttributes();
	$courtsort->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$courtsort_delete->loadRowValues($courtsort_delete->Recordset);

	// Render row
	$courtsort_delete->renderRow();
?>
	<tr<?php echo $courtsort->rowAttributes() ?>>
<?php if ($courtsort->CourtSort->Visible) { // CourtSort ?>
		<td<?php echo $courtsort->CourtSort->cellAttributes() ?>>
<span id="el<?php echo $courtsort_delete->RowCnt ?>_courtsort_CourtSort" class="courtsort_CourtSort">
<span<?php echo $courtsort->CourtSort->viewAttributes() ?>>
<?php echo $courtsort->CourtSort->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($courtsort->Notes->Visible) { // Notes ?>
		<td<?php echo $courtsort->Notes->cellAttributes() ?>>
<span id="el<?php echo $courtsort_delete->RowCnt ?>_courtsort_Notes" class="courtsort_Notes">
<span<?php echo $courtsort->Notes->viewAttributes() ?>>
<?php echo $courtsort->Notes->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$courtsort_delete->Recordset->moveNext();
}
$courtsort_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $courtsort_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$courtsort_delete->showPageFooter();
if (DEBUG_ENABLED)
	echo GetDebugMessage();
?>
<script>

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$courtsort_delete->terminate();
?>
